WMLInputElement (Other Classes)
Date: 2018-10-17

org.apache.wml

## Interface WMLInputElement

- All Superinterfaces:
    org.w3c.dom.Element, org.w3c.dom.Node, WMLElement
  All Known Implementing Classes:
    WMLInputElementImpl

      public interface WMLInputElement
      extends WMLElement

  The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

  'input' element specifies a text entry object. (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Version:
    $Id: WMLInputElement.java 447258 2006-09-18 05:41:23Z mrglavas $
  Author:
    David Li

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEmptyOk()`
    `java.lang.String` | `getFormat()`
    `int` | `getMaxLength()`
    `java.lang.String` | `getName()`
    `int` | `getSize()`
    `int` | `getTabIndex()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `getValue()`
    `java.lang.String` | `getXmlLang()`
    `void` | `setEmptyOk(boolean newValue)` 'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified.
    `void` | `setFormat(java.lang.String newValue)` 'format' specifies the input mask for user input.
    `void` | `setMaxLength(int newValue)` 'maxlength' specifies the maximum number of characters to be enter.
    `void` | `setName(java.lang.String newValue)` 'name' specifies the name of a variable after the user enters the text.
    `void` | `setSize(int newValue)` 'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)
    `void` | `setTabIndex(int newValue)` 'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
    `void` | `setTitle(java.lang.String newValue)` 'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)
    `void` | `setType(java.lang.String newValue)` 'type' specifies the type of text input area.
    `void` | `setValue(java.lang.String newValue)` 'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)
    `void` | `setXmlLang(java.lang.String newValue)` 'xml:lang' specifics the natural or formal language in which the document is written.

    - ### Methods inherited from interface org.apache.wml.WMLElement

      `getClassName, getId, setClassName, setId`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String newValue)

      'name' specifies the name of a variable after the user enters the text. (Section 11.6.3, WAP WML Version 16-Jun-1999)

    - #### getName

          java.lang.String getName()

    - #### setValue

          void setValue(java.lang.String newValue)

      'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)

    - #### getValue

          java.lang.String getValue()

    - #### setType

          void setType(java.lang.String newValue)

      'type' specifies the type of text input area. Two values are allowed: 'text' and 'password' and default is 'text' (Section 11.6.3, WAP WML Version 16-Jun-1999)

    - #### getType

          java.lang.String getType()

    - #### setFormat

          void setFormat(java.lang.String newValue)

      'format' specifies the input mask for user input. (Section 11.6.3, WAP WML Version 16-Jun-1999)

    - #### getFormat

          java.lang.String getFormat()

    - #### setEmptyOk

          void setEmptyOk(boolean newValue)

      'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified. Default to be 'false' (Section 11.6.3, WAP WML Version 16-Jun-1999)

    - #### getEmptyOk

          boolean getEmptyOk()

    - #### setSize

          void setSize(int newValue)

      'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)

    - #### getSize

          int getSize()

    - #### setMaxLength

          void setMaxLength(int newValue)

      'maxlength' specifies the maximum number of characters to be enter. (Section 11.6.3, WAP WML Version 16-Jun-1999)

    - #### getMaxLength

          int getMaxLength()

    - #### setTitle

          void setTitle(java.lang.String newValue)

      'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)

    - #### getTitle

          java.lang.String getTitle()

    - #### setTabIndex

          void setTabIndex(int newValue)

      'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)

    - #### getTabIndex

          int getTabIndex()

    - #### setXmlLang

          void setXmlLang(java.lang.String newValue)

      'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

    - #### getXmlLang

          java.lang.String getXmlLang()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.